Skip to main content
PUT
/
mcp-integrations
/
{mcpIntegrationId}
/
workspaces
Bulk Update MCP Integration Workspaces
curl --request PUT \
  --url https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/workspaces \
  --header 'Content-Type: application/json' \
  --header 'x-portkey-api-key: <api-key>' \
  --data '
{
  "workspaces": [
    {
      "id": "<string>",
      "enabled": true
    }
  ],
  "global_workspace_access": {
    "enabled": true
  },
  "override_existing_workspace_access": false
}
'
import requests

url = "https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/workspaces"

payload = {
"workspaces": [
{
"id": "<string>",
"enabled": True
}
],
"global_workspace_access": { "enabled": True },
"override_existing_workspace_access": False
}
headers = {
"x-portkey-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-portkey-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaces: [{id: '<string>', enabled: true}],
global_workspace_access: {enabled: true},
override_existing_workspace_access: false
})
};

fetch('https://api.portkey.ai/v1/mcp-integrations/{mcpIntegrationId}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

mcpIntegrationId
string
required

MCP Integration ID (UUID) or slug

Body

application/json
workspaces
object[]
required
global_workspace_access
object | null
override_existing_workspace_access
boolean
default:false

Response

200 - application/json

OK

The response is of type object.

Last modified on May 13, 2026